import {
  postPBRequest
} from "@/utils/axios";
const infoApi = {
  // 获取设备信息
  getSys() {
    return postPBRequest("/info", null, 51000);
  },
  // 获取网络信息
  getNet(params) {
    return postPBRequest("/net", params, 52000);
  },
  saveNet(params) {
    return postPBRequest("/net", params, 52200);
  },
  // 重启设备
  reboot() {
    return postPBRequest("/user", null, 50003);
  },
  //   // 透传列表
  //   getTc(params) {
  //     return getRequest('/tc', params)
  //   },
  //   // 获取透传类型
  //   getSupport(params) {
  //     return getRequest('/tc/support', params)
  //   },
  //   // 获取可用串口列表
  //   getFree(params) {
  //     return getRequest('/com/free', params)
  //   },

  //   // 获取所有串口列表api/com
  //   getCom(params) {
  //     return getRequest('/com', params)
  //   },

  //   saveTx(params) {
  //     return postJsonRequest("/tx", params);
  //   },

  //   // 透传服务启停
  //   stopTc(params) {
  //     return putRequest("/tc", params);
  //   },
  //   // 透传服务删除
  //   delTc(params) {
  //     return deleteRequest("/tc", params);
  //   },
  // 模板列表
  getMb(params) {
    return postPBRequest('/template', params, 53000)
  },
  // 新增模板
  addMb(params) {
    return postPBRequest('/template', params, 53100)
  },
  // 更新模板
  editMb(params) {
    return postPBRequest('/template', params, 53200)
  },
  // 删除模板
  delMb(params) {
    return postPBRequest('/template', params, 53300)
  },
  // 新增点位
  addP(params) {
    return postPBRequest('/template', params, 53110, params.template_name)
  },
  // 编辑点位
  editP(params) {
    return postPBRequest('/template', params, 53210, params.template_name)
  },
  // 获取模板支持类型
  getTemplateType(params) {
    return postPBRequest('/template', params, 53001)
  },

  // 获取点位
  getP(params) {
    return postPBRequest('/template', params, 53010, params.template_name)
  },
  // 删除点位
  detP(params) {
    return postPBRequest('/template', params, 53310, params.template_name)
  },
  // 点位导入
  importP(params,template_name) {
    return postPBRequest('/template', params, 53212,template_name)
  },

  // 点位导出
  exportP(params) {
    return postPBRequest('/template', params, 53211, params.template_name)
  },
  // 驱动列表查询
  getTx(params) {
    return postPBRequest('/driver', params, 54000)
  },
  // 添加驱动
  saveTx(params) {
    return postPBRequest("/driver", params, 54100);
  },
  // 更新驱动
  editTx(params) {
    return postPBRequest("/driver", params, 54200);
  },
  // 删除通讯
  delTx(params) {
    return postPBRequest(`/driver`, params, 54300);
  },
  // 获取通讯状态
  getTxStatus(params) {
    return postPBRequest(`/driver`, params, 54003);
  },

  // 获取支持的通讯驱动
  getTxSupport() {
    return postPBRequest('/driver', null, 54001)
  },
  // 查询查询驱动下设备的可用模板列表
  getTxTemplate(params) {
    return postPBRequest("/driver", params, 54002, params.driver_name);
  },
  // 新增设备
  addSet(params) {
    return postPBRequest('/driver', params, 54110, params.driver_name)
  },
  // 更新设备
  editSet(params) {
    return postPBRequest('/driver', params, 54210, params.driver_name)
  },

  // 获取设备列表
  getSet(params) {
    return postPBRequest('/driver', params, 54010, params.driver_name)
  },
  // 获取详情
  getD(params) {
    return postPBRequest('/driver', params, 54005, params.driver_name)
  },
  // 重置
  resetCount(params) {
    return postPBRequest('/driver', params, 54201, params.driver_name)
  },
  // 删除设备
  delSet(params) {
    return postPBRequest('/driver', params, 54310, params.driver_name)
  },

  // 通讯服务启用,停用
  startStatus(params) {
    return postPBRequest("/driver", params, 56201,params.driver_name);
  },
  // 通讯服务停止
  stopStatus(params) {
    return postPBRequest("/driver", params, 56202,params.driver_name);
  },
  //保存配置
  addPz(params, header) {
    return postPBRequest("/driver", params, 54202, header.driver_name);
  },
  // 获取com
  getCom(params) {
    return postPBRequest("/info", null, 51001, params.name);
  },
  // 实时数据
  // 获取驱动
  getDriverData(params) {
    return postPBRequest("/data", null, 56200);
  },
  // 获取驱动下设备数据
  getDeviceData(params) {
    return postPBRequest("/data", params, 56100);
  },
  // 获取设备下的点位
  getPointData(params) {
    return postPBRequest("/data", params, 56000);
  }
};
export default infoApi;